/*
 * ParejaDeCamposIgualesDep.java
 *
 * Created on 9 de abril de 2007, 08:37 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

/**
 * 
 * @author Jsolano
 */
public class ParejaDeCamposIgualesDep extends AbstractRule {

	public boolean performValidation(String field, String[] registro,
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (!codigoNovedad.equals((String) getParams()[1])) {
			return false;
		}

		String campo1 = field;
		String campo2 = registro[new Integer((String) getParams()[2])
				.intValue()];
		String campo3 = registro[new Integer((String) getParams()[3])
				.intValue()];
		String campo4 = registro[new Integer((String) getParams()[4])
				.intValue()];
		if (campo1.equals(campo2) && campo3.equals(campo4)) {
			return true;
		}

		return false;
	}

}